| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sRange< ParmType > Struct Template Reference

Measurement range parameter. More...

`#include <THM1176Types.h>`

Inheritance diagram for MTL::Instrument::THM1176Types::sRange< ParmType >:
[legend]

## Public Member Functions
| sRange (bool A={ }, ParmType< tFlux > R={ })
| Constructor.
void | clear (void)
| Clear to default values.
bool | operator== (sRange other) const
| Equality operator.
bool | operator!= (sRange other) const
| Inequality operator.

## Public Attributes
bool | Auto { }
| Auto-ranging enabled.
ParmType< tFlux > | Range { }
| Measurement range, if auto-ranging is not enabled.

## Detailed Description

template<template< class > class ParmType>
struct MTL::Instrument::THM1176Types::sRange< ParmType >

Measurement range parameter.

Definition at line 478 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sRange()

template<template< class > class ParmType>

MTL::Instrument::THM1176Types::sRange< ParmType >::sRange | ( | bool | A = { },
|  | ParmType< tFlux > | R = { } )
| inline

Constructor.

Parameters

  [in] | A | Auto-ranging enabled.
  [in] | R | Measurement range, if auto-ranging is not enabled.

Definition at line 487 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

template<template< class > class ParmType>

void MTL::Instrument::THM1176Types::sRange< ParmType >::clear | ( | void |  | ) |
| inline

Clear to default values.

Definition at line 490 of file THM1176Types.h.

## ◆ operator!=()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sRange< ParmType >::operator!= | ( | sRange< ParmType > | other | ) | const
| inline

Inequality operator.

Definition at line 502 of file THM1176Types.h.

## ◆ operator==()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sRange< ParmType >::operator== | ( | sRange< ParmType > | other | ) | const
| inline

Equality operator.

Definition at line 495 of file THM1176Types.h.

## Member Data Documentation

## ◆ Auto

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sRange< ParmType >::Auto { }

Auto-ranging enabled.

Definition at line 480 of file THM1176Types.h.

## ◆ Range

template<template< class > class ParmType>

ParmType<tFlux> MTL::Instrument::THM1176Types::sRange< ParmType >::Range { }

Measurement range, if auto-ranging is not enabled.

Definition at line 481 of file THM1176Types.h.

The documentation for this struct was generated from the following file:

- THM1176InstrumentDriver/include/THM1176Types.h